<template>
    <div class="note-drawer">
        <q-drawer
            v-model="noteDrawer"
            side="right"
            :width="300"
            overlay
            :no-swipe-open="true"
        >
            <!-- <q-btn
                class="close-right-drawer"
                flat
                text-color="white"
                size="md"
                icon="clear"
                @click="closeDrawer(false)"
            /> -->
            <remark-list />
        </q-drawer>
    </div>
</template>

<script lang="ts">
import { useStore } from 'src/store';
import { defineComponent, computed } from 'vue';
import { mapGetters } from 'vuex';
import RemarkList from 'src/components/chats/RemarkList.vue';

export default defineComponent({
    name: 'NoteDrawer',
    components: {
        RemarkList
    },
    computed: {
        ...mapGetters({
            noteDrawer: 'menu/getNoteDrawer'
        })
    },
    setup() {
        const store = useStore();
        const closeDrawer = (status: boolean) => {
            store.dispatch('menu/setNoteDrawer', status);
        };

        return {
            closeDrawer
        };
    }
});
</script>
